HardSIDBuilder Class Reference

`#include <hardsid.h>`

Inheritance diagram for HardSIDBuilder:

## Public Member Functions

| HardSIDBuilder (const char *const name)
unsigned int | availDevices () const
const char * | credits () const
void | flush ()
void | filter (bool enable)
unsigned int | create (unsigned int sids)
Public Member Functions inherited from sidbuilder
| sidbuilder (const char *const name)
unsigned int | usedDevices () const
sidemu * | lock (EventContext *env, SidConfig::sid_model_t model)
void | unlock (sidemu *device)
void | remove ()
const char * | name () const
const char * | error () const
bool | getStatus () const

## Additional Inherited Members

Protected Types inherited from sidbuilder
typedef std::set< sidemu * > | emuset_t
Protected Attributes inherited from sidbuilder
std::string | m_errorBuffer
emuset_t | sidobjs
bool | m_status

## Detailed Description

HardSID Builder Class

## Member Function Documentation

unsigned int HardSIDBuilder::availDevices | ( |  | ) | const

virtual

Available sids.

Returns
  the number of available sids, 0 = endless.

Implements sidbuilder.

unsigned int HardSIDBuilder::create | ( | unsigned int | sids | ) |

virtual

Create the sid emu.

Parameters

  sids | the number of required sid emu

Implements sidbuilder.

const char * HardSIDBuilder::credits | ( |  | ) | const

virtual

Get the builder's credits.

Returns
  credits

Implements sidbuilder.

void HardSIDBuilder::filter | ( | bool | enable | ) |

virtual

enable/disable filter.

Implements sidbuilder.

The documentation for this class was generated from the following files:

- hardsid.h
- hardsid-builder.cpp